<?php

// Featured Posts Widget.
require get_template_directory() . '/inc/widgets/featured-posts-widget.php';

// Grid Posts Widget.
require get_template_directory() . '/inc/widgets/grid-posts-widget.php';

// Express List Widget.
require get_template_directory() . '/inc/widgets/express-list-widget.php';

// Slider Widget.
require get_template_directory() . '/inc/widgets/slider-widget.php';

// Most Read Widget.
require get_template_directory() . '/inc/widgets/most-read-widget.php';

// Social Widget.
require get_template_directory() . '/inc/widgets/social-widget.php';

/**
 * Register Widgets
 */
function entire_news_register_widgets() {

	register_widget( 'Entire_News_Featured_Posts_Widget' );

	register_widget( 'Entire_News_Grid_Posts_Widget' );

	register_widget( 'Entire_News_Express_List_Widget' );

	register_widget( 'Entire_News_Slider_Widget' );

	register_widget( 'Entire_News_Most_Read_Widget' );

	register_widget( 'Entire_News_Social_Widget' );

}
add_action( 'widgets_init', 'entire_news_register_widgets' );
